.project-gallary{
    margin: 20px;
}

.masonry-wrapper {
    column-count: 4;
    column-gap: 1rem;
}

.masonry-item {
    break-inside: avoid;
    margin-bottom: 1rem;
    width: 100%;
}

.masonry-item img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
    cursor: pointer;
}

.filter-btn.active {
    background-color: #063366;
    color: #fff;
}

.image-modal {
    display: none;
    position: fixed;
    z-index: 1050;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
}

.image-modal-content {
    max-width: 90%;
    max-height: 80%;
    position: relative;
}

.image-modal-content img {
    max-width: 100%;
    max-height: 100%;
    display: block;
    margin: 0 auto;
    padding: 20px;
}

.modal-nav,
.modal-close {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 2rem;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1060;
}

.modal-prev {
    left: 20px;
}

.modal-next {
    right: 60px;
}

.modal-close {
    top: 10px;
    right: 20px;
    transform: none;
    font-size: 2rem;
}

.image-modal-image {
    height: 85vh;
    object-fit: contain;
}

.pagination-button{
    background-color: #0d6efd !important;
    color: white;
    padding: 8px;
}



@media (max-width: 1800px) {
    .masonry-wrapper {
        column-count: 4;
    }
}

@media (max-width: 1200px) {
    .masonry-wrapper {
        column-count: 3;
    }
}

@media (max-width: 768px) {
    .masonry-wrapper {
        column-count: 2;
    }
}

@media (max-width: 576px) {
    .masonry-wrapper {
        column-count: 1;
    }
}